// SetupLSQDialog.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "CurveFit.h"
#include "SetupLSQDialog.h"
#include "..\IniFile.h"

extern CIniFile *IniFile;

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSetupLSQDialog _CAO


CSetupLSQDialog::CSetupLSQDialog(CPeakSearch *ppeak, CWnd* pParent /*=NULL*/)
	: CDialog(CSetupLSQDialog::IDD, pParent)
{
	m_pPeakSearch = ppeak;
	//{{AFX_DATA_INIT(CSetupLSQDialog)
	m_MaxIteration = 0;
	m_ConvergenceCriteria = 0.0;
	m_DumpingFactor = 0.0;
	m_XRDLSQProgram = _T("");
	m_RamanLSQProgram = _T("");
	m_iPrtInterval = 0;
	m_iPrt = 0;
	//}}AFX_DATA_INIT
}


void CSetupLSQDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetupLSQDialog)
	DDX_Text(pDX, IDC_MAXITERATIONEDIT, m_MaxIteration);
	DDX_Text(pDX, IDC_CONVERGENCECRITERIAEDIT, m_ConvergenceCriteria);
	DDX_Text(pDX, IDC_DUMPINGFACTOREDIT, m_DumpingFactor);
	DDX_Text(pDX, IDC_XRDLSQPROGRAMEDIT, m_XRDLSQProgram);
	DDX_Text(pDX, IDC_RAMANLSQPROGRAMEDIT, m_RamanLSQProgram);
	DDX_Text(pDX, IDC_IPRTINTERVALEDIT, m_iPrtInterval);
	DDV_MinMaxInt(pDX, m_iPrtInterval, 1, 1000);
	DDX_Text(pDX, IDC_IPRTEDIT, m_iPrt);
	DDV_MinMaxInt(pDX, m_iPrt, 0, 3);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSetupLSQDialog, CDialog)
	//{{AFX_MSG_MAP(CSetupLSQDialog)
	ON_BN_CLICKED(IDC_XRDLSQPROGRAMBUTTON, OnXrdlsqprogrambutton)
	ON_BN_CLICKED(IDC_RAMANLSQPROGRAMBUTTON, OnRamanlsqprogrambutton)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSetupLSQDialog bZ[W nh

BOOL CSetupLSQDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: ̈ʒuɏ̕⑫ǉĂ
	m_XRDLSQProgram = m_pPeakSearch->m_XRDLSQProgram;
	m_RamanLSQProgram = m_pPeakSearch->m_RamanLSQProgram;
	m_MaxIteration = m_pPeakSearch->m_MaxIter;
	m_ConvergenceCriteria = m_pPeakSearch->m_ConvergenceCriteria;
	m_DumpingFactor = m_pPeakSearch->m_DumpingFactor;
	m_iPrt = m_pPeakSearch->m_iPrt;
	m_iPrtInterval = m_pPeakSearch->m_iPrtIntvl;
	UpdateData(FALSE);
	
	return TRUE;  // Rg[ɃtH[JXݒ肵ȂƂA߂l TRUE ƂȂ܂
	              // O: OCX vpeB y[W̖߂l FALSE ƂȂ܂
}

void CSetupLSQDialog::OnOK() 
{
	// TODO: ̈ʒuɂ̑̌ؗp̃R[hǉĂ
	UpdateData(TRUE);
	m_pPeakSearch->m_XRDLSQProgram = m_XRDLSQProgram;
	m_pPeakSearch->m_RamanLSQProgram = m_RamanLSQProgram;
	m_pPeakSearch->m_MaxIter = m_MaxIteration;
	m_pPeakSearch->m_ConvergenceCriteria = m_ConvergenceCriteria;
	m_pPeakSearch->m_DumpingFactor = m_DumpingFactor;
	m_pPeakSearch->m_iPrt = m_iPrt;
	m_pPeakSearch->m_iPrtIntvl = m_iPrtInterval;
	IniFile->WriteString("SetupLSQ", "XRDLSQProgram", (LPCSTR)m_XRDLSQProgram);
	IniFile->WriteString("SetupLSQ", "RamanLSQProgram", (LPCSTR)m_RamanLSQProgram);
	IniFile->WriteInt("SetupLSQ", "MaxIteration", m_MaxIteration);
	IniFile->WriteDouble("SetupLSQ", "ConvergenceCriteria", m_ConvergenceCriteria);
	IniFile->WriteDouble("SetupLSQ", "DumpingFactor", m_DumpingFactor);
	IniFile->WriteInt("SetupLSQ", "iPrt", m_iPrt);
	IniFile->WriteInt("SetupLSQ", "iPrtIntvl", m_iPrtInterval);
	
	CDialog::OnOK();
}

void CSetupLSQDialog::OnXrdlsqprogrambutton() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	CFileDialog fd(false, NULL, NULL, OFN_HIDEREADONLY | OFN_FILEMUSTEXIST, 
		"Executable Files (*.exe)|*.exe|All Files (*.*)|*.*||");
	if(fd.DoModal() != IDOK) return;

	m_XRDLSQProgram = fd.GetPathName();
	UpdateData(FALSE);
}

void CSetupLSQDialog::OnRamanlsqprogrambutton() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	CFileDialog fd(false, NULL, NULL, OFN_HIDEREADONLY | OFN_FILEMUSTEXIST, 
		"Executable Files (*.exe)|*.exe|All Files (*.*)|*.*||");
	if(fd.DoModal() != IDOK) return;

	m_RamanLSQProgram = fd.GetPathName();
	UpdateData(FALSE);
}

