import pandas as pd
from sklearn.datasets import load_boston

# Boston housing
# https://di-acc2.com/programming/python/13862/
# 特徴量名	概要
# CRIM	（地域人工毎の）犯罪発生率
# ZN	25,000平方フィート以上の住宅区画の割合
# INDUS	（地域人工毎の）非小売業の土地面積の割合
# CHAS	チャールズ川沿いに立地しているかどうか（該当の場合は1、そうでない場合は0）
# NOX	窒素酸化物の濃度（単位：pphm）
# RM	平均部屋数/一戸
# AGE	1940年よりも古い家の割合
# DIS	5つのボストン雇用センターまでの重み付き距離
# RAD	主要な高速道路へのアクセス指数
# TAX	10,000ドルあたりの所得税率
# PTRATIO	（地域人工毎の）学校教師1人あたりの生徒数
# B	（地域人工毎の）アフリカ系アメリカ人居住者の割合
# LSTAT	低所得者の割合
# MEDV	住宅価格の中央値（単位 $1,000）

## 説明変数の格納
boston = load_boston()
df = pd.DataFrame(boston.data, columns = boston.feature_names)
df.columns = boston.feature_names
## 目的変数の追加
df['MEDV'] = boston.target

df.to_excel('boston.xlsx')
